curl
curl -X GET "https://api.triggr-app.com/api/v1/executions/<executionId>/steps" \
-H "Authorization: Bearer $TRIGGR_API_KEY"const res = await fetch("https://api.triggr-app.com/api/v1/executions/<executionId>/steps", {
method: "GET",
headers: {
"Authorization": `Bearer ${process.env.TRIGGR_API_KEY}`,
},
});
if (!res.ok) throw new Error(`Triggr ${res.status}: ${await res.text()}`);
const data = await res.json();$headers = @{
Authorization = "Bearer $env:TRIGGR_API_KEY"
}
Invoke-RestMethod -Method Get -Uri 'https://api.triggr-app.com/api/v1/executions/<executionId>/steps' -Headers $headersimport requests
url = "https://api.triggr-app.com/api/v1/executions/{executionId}/steps"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.triggr-app.com/api/v1/executions/{executionId}/steps', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.triggr-app.com/api/v1/executions/{executionId}/steps",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.triggr-app.com/api/v1/executions/{executionId}/steps"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.triggr-app.com/api/v1/executions/{executionId}/steps")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.triggr-app.com/api/v1/executions/{executionId}/steps")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"executionId": "1b4e28ba-2fa1-11d2-883f-0016d3cca427",
"status": "failed",
"steps": [
{
"createdAt": "2026-09-07T10:00:05Z",
"id": "3a8c1e07-4b52-4d9f-8a16-7c0e2b5d9f31",
"label": "Disable the account",
"outcome": "success",
"stepId": "disable-account",
"updatedAt": "2026-09-07T10:00:11Z"
},
{
"createdAt": "2026-09-07T10:00:11Z",
"id": "b4f7d290-8e31-4c65-9a07-1d3f6b8e2c94",
"label": "Convert mailbox to shared",
"outcome": "error",
"stepId": "shared-mailbox",
"updatedAt": "2026-09-07T10:02:14Z"
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}Workflows & executions
List an execution's steps
Labels and outcomes in order, for a progress view — never a step’s output or context.
GET
/
api
/
v1
/
executions
/
{executionId}
/
steps
curl
curl -X GET "https://api.triggr-app.com/api/v1/executions/<executionId>/steps" \
-H "Authorization: Bearer $TRIGGR_API_KEY"const res = await fetch("https://api.triggr-app.com/api/v1/executions/<executionId>/steps", {
method: "GET",
headers: {
"Authorization": `Bearer ${process.env.TRIGGR_API_KEY}`,
},
});
if (!res.ok) throw new Error(`Triggr ${res.status}: ${await res.text()}`);
const data = await res.json();$headers = @{
Authorization = "Bearer $env:TRIGGR_API_KEY"
}
Invoke-RestMethod -Method Get -Uri 'https://api.triggr-app.com/api/v1/executions/<executionId>/steps' -Headers $headersimport requests
url = "https://api.triggr-app.com/api/v1/executions/{executionId}/steps"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.triggr-app.com/api/v1/executions/{executionId}/steps', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.triggr-app.com/api/v1/executions/{executionId}/steps",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.triggr-app.com/api/v1/executions/{executionId}/steps"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.triggr-app.com/api/v1/executions/{executionId}/steps")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.triggr-app.com/api/v1/executions/{executionId}/steps")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"executionId": "1b4e28ba-2fa1-11d2-883f-0016d3cca427",
"status": "failed",
"steps": [
{
"createdAt": "2026-09-07T10:00:05Z",
"id": "3a8c1e07-4b52-4d9f-8a16-7c0e2b5d9f31",
"label": "Disable the account",
"outcome": "success",
"stepId": "disable-account",
"updatedAt": "2026-09-07T10:00:11Z"
},
{
"createdAt": "2026-09-07T10:00:11Z",
"id": "b4f7d290-8e31-4c65-9a07-1d3f6b8e2c94",
"label": "Convert mailbox to shared",
"outcome": "error",
"stepId": "shared-mailbox",
"updatedAt": "2026-09-07T10:02:14Z"
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}⌘I

